Skip to main content
GET
/
api
/
v1
/
teams
/
{teamId}
/
bookings
List bookings
curl --request GET \
  --url https://enterprise-api.avoca.ai/api/v1/teams/{teamId}/bookings \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "session_id": "<string>",
      "team_id": 123,
      "scheduler_id": 123,
      "customer_info": {
        "name": "<string>",
        "email": "<string>",
        "phone": "<string>",
        "address": "<string>"
      },
      "issue_type": "<string>",
      "job_type": "<string>",
      "selected_date": "2023-12-25",
      "selected_time": "<string>",
      "utm": {
        "source": "<string>",
        "medium": "<string>",
        "campaign": "<string>",
        "term": "<string>",
        "content": "<string>"
      },
      "google_ads": {
        "gclid": "<string>",
        "wbraid": "<string>",
        "gbraid": "<string>"
      },
      "st_job_id": 123,
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "last_activity_at": "2023-11-07T05:31:56Z",
      "events": [
        {
          "event_type": "<string>",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "pagination": {
    "cursor": "<string>",
    "has_more": true,
    "limit": 123
  },
  "meta": {
    "team_id": 123
  }
}

Authorizations

Authorization
string
header
required

API key in the format avoca_<64 hex characters>

Path Parameters

teamId
integer
required

The team ID

Query Parameters

scheduler_id
integer

Filter to a specific scheduler

start_date
string<date-time>

Only rows on/after this ISO 8601 timestamp

end_date
string<date-time>

Only rows before this ISO 8601 timestamp

cursor
string

Opaque pagination cursor from the previous response's pagination.cursor

limit
integer
default:50

Results per page (default 50, max 500)

Required range: x <= 500

Response

Paginated bookings

data
object[]
pagination
object
meta
object